Bug 213556 - bcm43xx (14e4:4311) doesn't work in FC-6 (x86_64)
bcm43xx (14e4:4311) doesn't work in FC-6 (x86_64)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 17:56 EST by Dave Maley
Modified: 2007-11-30 17:11 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-01 14:31:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from timeframe of problem(s) described (304.30 KB, text/plain)
2006-11-02 15:40 EST, Dave Maley
no flags Details
bcm43xx-fwcutter info when cutting WinXP/bcmwl5.sys from Driver_330150.zip (999 bytes, text/plain)
2006-11-03 13:33 EST, Dave Maley
no flags Details
scan failure with bcm43xx (26.09 KB, text/plain)
2006-11-06 08:38 EST, Joe Orton
no flags Details
lspci -vvvn -s 01:00 output (1.26 KB, text/plain)
2006-11-06 08:41 EST, Joe Orton
no flags Details
Can't get the device to activate (2.56 KB, text/plain)
2006-11-06 18:53 EST, Glenn Courington
no flags Details
output of lsmod (3.55 KB, text/plain)
2006-11-29 13:41 EST, Julius Smith
no flags Details
dmesg output (20.78 KB, text/plain)
2006-11-29 13:42 EST, Julius Smith
no flags Details
dmesg output (25.52 KB, text/plain)
2006-11-29 18:00 EST, Need Real Name
no flags Details
lsmod output (3.28 KB, text/plain)
2006-11-29 18:01 EST, Need Real Name
no flags Details
lsmod and dmesg (22.94 KB, application/octet-stream)
2006-12-19 13:19 EST, scott anderson
no flags Details
dmesg output (21.80 KB, text/plain)
2006-12-31 20:59 EST, Julius Smith
no flags Details
lsmod output (3.15 KB, text/plain)
2006-12-31 21:00 EST, Julius Smith
no flags Details

  None (edit)
Description Dave Maley 2006-11-01 17:56:01 EST
Description of problem: Just picked up a new HP dv2120 laptop which according to
lspci has a "Broadcom Corporation Dell Wireless 1390 WLAN Mini-PCI Card (rev
01)" ... lspci -vvv and -n output below.  I've got a fresh install of FC-6
x86_64 loaded (2.6.18-1.2798 kernel) w/ all available updates applied.

I've read the various bcm43xx HOWTO's out there and it all looks straight
forward and painless, however no luck thus far.  The bcm43xx module loads just
fine, no errors in syslog or dmesg.  I've tried the majority of the drivers
listed in the bcm43xx-fwcutter README, pretty much every one which is still a
valid URL and doesn't require a windoze box to extract.  The fwcutter tool seems
to extract the firmware just fine.  But NetworkManager isn't seeing any wireless
devices, and attempting to manually bring up the interface states that the
device isn't present:

[dave@smithers ~]$ ifup eth1
bcm43xx device eth1 does not seem to be present, delaying initialization.


Version-Release number of selected component (if applicable): 2.6.18-1.2798


How reproducible: Every time


Steps to Reproduce:
1. "cut" firmware using bcm43xx-fwcutter into /lib/firmware
2. load bcm43xx module
3. attempt to ifup device
  
Actual results: fails w/ error: bcm43xx device eth1 does not seem to be present,
delaying


Expected results: device activates successfully


Additional info: lspci -vvv and -n output

-----
01:00.0 Network controller: Broadcom Corporation Dell Wireless 1390 WLAN
Mini-PCI Card (rev 01)
        Subsystem: Hewlett-Packard Company Unknown device 1363
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at c3000000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-
        Capabilities: [58] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-
                Address: 00000000  Data: 0000
        Capabilities: [d0] Express Legacy Endpoint IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag+
                Device: Latency L0s <4us, L1 unlimited
                Device: AtnBtn- AtnInd- PwrInd-
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s, Port 0
                Link: Latency L0s <4us, L1 <64us
                Link: ASPM Disabled RCB 64 bytes CommClk- ExtSynch-
                Link: Speed 2.5Gb/s, Width x1
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [13c] Virtual Channel
-----
01:00.0 0280: 14e4:4311 (rev 01)
Comment 1 Dave Maley 2006-11-01 17:59:19 EST
received the following response from John Linville:
-----------------------------------------------------------

Dave,

That device is PCI-E, which is not supported in the driver in FC6.
There is an upstream patch available here:

http://www.kernel.org/pub/linux/kernel/people/linville/wireless-2.6/upstream/0013-bcm43xx-add-PCI-E-code.txt

It seems to apply to the FC6 kernel w/ just some offsets.  Or, you can
wait a few hours for me to spin a new FC6 test kernel which I will make
available on my PRC page... :-)

        http://people.redhat.com/linville/kernels/fc6/

It will be in fc6.jwltest.12.
Comment 2 Dave Maley 2006-11-01 18:02:30 EST
The .12 test kernel definitely improved things.  

NetworkManager seems to believe there's a wireless device now, even
though it's not seeing any networks.

Looking at syslog scanning seems to be failing.  This is what I see when
attempting to ifup the device:

Nov  1 17:02:42 smithers kernel: SoftMAC: empty ratesinfo?
Nov  1 17:02:42 smithers kernel: SoftMAC: empty ratesinfo?
Nov  1 17:02:42 smithers kernel: bcm43xx: set security called, .level =
0, .enabled = 0, .encrypt = 0
Nov  1 17:02:42 smithers kernel: SoftMAC: Associate: Scanning for
networks first.
Nov  1 17:02:42 smithers kernel: SoftMAC: Associate: failed to initiate
scan. Is device up?
Nov  1 17:02:42 smithers kernel: bcm43xx: IRQ_READY timeout
Nov  1 17:02:42 smithers kernel: bcm43xx: core_up for active 802.11 core
failed (-19)
Comment 3 Dave Maley 2006-11-01 20:07:00 EST
Interestingly enough when I got home NetworkManager was able to succesfully
connect to my wireless network (using it to post this update).  Not sure what
changed from earlier/why it's working now ....

I'll see how things go the rest of the evening and will test again in the office
tomorrow.  And will report back here any interesting findings.
Comment 4 Dave Maley 2006-11-02 14:12:38 EST
A couple interesting things to report ...

1. The wireless connection at home did end up puking after approx 4 hours. 
During the time that things were working the following sequence of messages were
being logged to /var/log/messages, every 2 minutes:

Nov  1 19:10:54 smithers kernel: SoftMAC: Start scanning with channel: 1
Nov  1 19:10:54 smithers kernel: SoftMAC: Scanning 14 channels
Nov  1 19:10:54 smithers kernel: SoftMAC: Scanning finished


When it puked it appears that the device got reset and then shortly thereafter
went into a bad state:

Nov  1 23:14:06 smithers kernel: NETDEV WATCHDOG: eth1: transmit timed out
Nov  1 23:14:06 smithers kernel: bcm43xx: Controller RESET (TX timeout) ...
Nov  1 23:14:06 smithers kernel: bcm43xx: select_wireless_core: cleanup
Nov  1 23:14:06 smithers kernel: bcm43xx: Radio turned off
Nov  1 23:14:06 smithers kernel: bcm43xx: DMA-32 0x0200 (RX) max used slots: 6/64
Nov  1 23:14:06 smithers kernel: bcm43xx: DMA-32 0x02A0 (TX) max used slots: 0/512
Nov  1 23:14:06 smithers kernel: bcm43xx: DMA-32 0x0280 (TX) max used slots: 0/512
Nov  1 23:14:06 smithers kernel: bcm43xx: DMA-32 0x0260 (TX) max used slots: 0/512
Nov  1 23:14:06 smithers kernel: bcm43xx: DMA-32 0x0240 (TX) max used slots: 0/512
Nov  1 23:14:06 smithers kernel: bcm43xx: DMA-32 0x0220 (TX) max used slots: 73/512
Nov  1 23:14:06 smithers kernel: bcm43xx: DMA-32 0x0200 (TX) max used slots: 0/512
Nov  1 23:14:06 smithers kernel: bcm43xx: Microcode rev 0xef, pl 0xe (2003-07-10
 18:59:06)
Nov  1 23:14:06 smithers kernel: bcm43xx: Radio turned on
Nov  1 23:14:06 smithers kernel: bcm43xx: Chip initialized
Nov  1 23:14:06 smithers kernel: bcm43xx: 32-bit DMA initialized
Nov  1 23:14:06 smithers kernel: bcm43xx: Keys cleared
Nov  1 23:14:06 smithers kernel: bcm43xx: Selected 802.11 core (phytype 2)
Nov  1 23:14:06 smithers kernel: bcm43xx: Controller restarted
Nov  1 23:14:32 smithers kernel: SoftMAC: Scanning 14 channels
Nov  1 23:14:32 smithers kernel: SoftMAC: Scanning finished
Nov  1 23:16:32 smithers kernel: SoftMAC: Start scanning with channel: 1
Nov  1 23:16:32 smithers kernel: SoftMAC: Scanning 14 channels
Nov  1 23:16:33 smithers kernel: SoftMAC: Scanning finished
Nov  1 23:18:33 smithers kernel: SoftMAC: Start scanning with channel: 1
Nov  1 23:18:33 smithers kernel: SoftMAC: Scanning 14 channels
Nov  1 23:18:33 smithers kernel: SoftMAC: Scanning finished
Nov  1 23:20:33 smithers kernel: SoftMAC: Start scanning with channel: 1
Nov  1 23:20:33 smithers kernel: SoftMAC: Scanning 14 channels
Nov  1 23:20:34 smithers kernel: SoftMAC: Scanning finished
Nov  1 23:22:34 smithers kernel: SoftMAC: Start scanning with channel: 1
Nov  1 23:22:34 smithers kernel: SoftMAC: Scanning 14 channels
Nov  1 23:22:34 smithers kernel: SoftMAC: Scanning finished
Nov  1 23:22:39 smithers kernel: SoftMAC: Start scanning with channel: 1
Nov  1 23:22:39 smithers kernel: SoftMAC: Scanning 14 channels
Nov  1 23:22:39 smithers kernel: bcm43xx: ASSERTION FAILED (!ring->suspended)
at: drivers/net/wireless/bcm43xx/bcm43xx_dma.c:71:request_slot()
Nov  1 23:22:39 smithers kernel: SoftMAC: Scanning finished
Nov  1 23:22:39 smithers kernel: bcm43xx: ASSERTION FAILED (!ring->suspended)
at: drivers/net/wireless/bcm43xx/bcm43xx_dma.c:71:request_slot()
Nov  1 23:22:46 smithers kernel: NETDEV WATCHDOG: eth1: transmit timed out
Nov  1 23:22:46 smithers kernel: bcm43xx: Controller RESET (TX timeout) ...
Nov  1 23:22:46 smithers kernel: bcm43xx: select_wireless_core: cleanup
Nov  1 23:22:46 smithers kernel: bcm43xx: Radio turned off
Nov  1 23:22:46 smithers kernel: bcm43xx: DMA-32 0x0200 (RX) max used slots: 3/64
Nov  1 23:22:46 smithers kernel: bcm43xx: DMA-32 0x02A0 (TX) max used slots: 0/512
Nov  1 23:22:46 smithers kernel: bcm43xx: DMA-32 0x0280 (TX) max used slots: 0/512
Nov  1 23:22:46 smithers kernel: bcm43xx: DMA-32 0x0260 (TX) max used slots: 0/512
Nov  1 23:22:46 smithers kernel: bcm43xx: DMA-32 0x0240 (TX) max used slots: 0/512
Nov  1 23:22:46 smithers kernel: bcm43xx: DMA-32 0x0220 (TX) max used slots: 412/512
Nov  1 23:22:46 smithers kernel: bcm43xx: ASSERTION FAILED (bcm43xx_status(bcm)
== BCM43xx_STAT_INITIALIZED) at:
drivers/net/wireless/bcm43xx/bcm43xx_main.c:1852:bcm43xx_interrupt_handler()
Nov  1 23:22:46 smithers kernel: bcm43xx: ASSERTION FAILED (bcm43xx_status(bcm)
== BCM43xx_STAT_INITIALIZED) at:
drivers/net/wireless/bcm43xx/bcm43xx_main.c:1852:bcm43xx_interrupt_handler()
Nov  1 23:22:46 smithers kernel: bcm43xx: DMA-32 0x0200 (TX) max used slots: 0/512
Nov  1 23:22:46 smithers kernel: bcm43xx: IRQ_READY timeout
Nov  1 23:22:46 smithers kernel: bcm43xx: core_up for active 802.11 core failed
(-19)
Nov  1 23:22:46 smithers kernel: bcm43xx: Controller restart failed
Nov  1 23:22:51 smithers kernel: NETDEV WATCHDOG: eth1: transmit timed out
Nov  1 23:23:26 smithers last message repeated 7 times
Nov  1 23:24:31 smithers last message repeated 13 times
Nov  1 23:24:34 smithers kernel: SoftMAC: Start scanning with channel: 1
Nov  1 23:24:34 smithers kernel: SoftMAC: Scanning 14 channels
Nov  1 23:24:34 smithers kernel: eth1: NETDEV_TX_BUSY returned; driver should
report queue full via ieee_device->is_queue_full.
Nov  1 23:24:39 smithers last message repeated 69 times

...and then this last message sequence starts repeating consistently.

I wasn't able to recover things by restarting NetworkManager nor was I able to
ifup eth1.  Ended up having to reboot, a coupe times, and then was able to get
re-connected agin.

I'll attach the complete syslog for the time period covered above.


2. The wireless connection in the office continues to not work at all; the
network isn't detected and syslog continues to show the same errors as in
Comment #2.
Comment 5 Dave Maley 2006-11-02 15:40:12 EST
Created attachment 140181 [details]
/var/log/messages from timeframe of problem(s) described
Comment 6 John W. Linville 2006-11-03 09:33:57 EST
Dave, just curious about where you got your firmware for the bcm43xx?
Comment 7 Dave Maley 2006-11-03 13:30:22 EST
John - I'd tried a bunch of the firmware versions listed in the bcm43xx-fwcutter
README and honestly am not sure which version was in use during the above tests
... 8(

I've just re-cut the fw from Driver_330150.zip
(ftp://ftp.asus.com.tw/pub/ASUS/wireless/WL-100g-03/Driver_330150.zip) which
according to bcm43xx-fwcutter is version 3.30.15.0 and will continue my testing
using this version.  If there's a different version I should be using (is there
a separate ver for x86_64?) I'm glad to run whatever you'd suggest ...
Comment 8 Dave Maley 2006-11-03 13:33:21 EST
Created attachment 140301 [details]
bcm43xx-fwcutter info when cutting WinXP/bcmwl5.sys from Driver_330150.zip
Comment 9 John W. Linville 2006-11-03 13:42:37 EST
Dave, firmware runs on the card.  So, same version is used on i686, x86_64, 
ppc, etc.
Comment 10 John D. Leon 2006-11-05 18:01:09 EST
I downloaded

kernel-2.6.18-1.2831.2.1.fc6.jwltest.12.x86_64.rpm

and my wireless card works great now. I have Broadcom 4318 in my Presario
notebook, and had tried lots of other things but this worked well. I did use
fwcutter to put the firmware drivers in /lib/firmware.
Comment 11 Joe Orton 2006-11-06 08:38:49 EST
Created attachment 140468 [details]
scan failure with bcm43xx

I also have an HP Turion X2 laptop with a 4311 card: I tried out this kernel
but it consistently fails to find any networks.  I've tried a variety of
extracted firmwares, the least old one being dated 2005:

bcm43xx: Microcode rev 0x127, pl 0xe (2005-04-18  02:36:27)
Comment 12 Joe Orton 2006-11-06 08:41:29 EST
Created attachment 140469 [details]
lspci -vvvn -s 01:00 output

Sorry, my mistake I have a 4312 not a 4311.
Comment 13 Jeff Rosenberg 2006-11-06 09:39:24 EST
John,
 
I would very much like to test the kernel with the bcm43xx PCI-E fix but really 
want to continue using Xen.  Rather than patching (via jwltest-bcm43xx-add-PCI-
E-code.patch), is the a possibility that an x86-64 kernel (and kernel-devel) 
rpm could be created ?  I can apply the patches and recompile the kernel from 
scratch but would definately prefer a new Kernel RPM that contains the Xen 
code.  
 
Also, is there any idea as to when this may become part of the new Fedora Core 
6 kernel as an official update ?

 
PS - My notebook contains 2 Gig of RAM so I may need the jwltest-bcm43xx-1gb-
fix.patch as well.
Comment 14 Jeff Layton 2006-11-06 15:09:35 EST
John Leon,
  What firmware revision are you using? I've tried several different firmware
revs on my Presario, but have not found any that have worked for me. fwcutter -i
should tell you...
Comment 15 Glenn Courington 2006-11-06 18:53:55 EST
Created attachment 140527 [details]
Can't get the device to activate
Comment 16 Glenn Courington 2006-11-06 18:59:23 EST
Comment on attachment 140527 [details]
Can't get the device to activate

I'm have the same problem as Dave, where it worked for a brief moment, but now
I can't get the device to activate.  I've included my dmesg, where I see a
problem with ip_conntrack, and am curious if this is part of the problem.

The firware I used was exactly the same as Dave's.
Comment 17 Jeff Rosenberg 2006-11-08 21:52:56 EST
John,

Nevermind.  After having issues with ndiswrapper under 64bit Fedora core 6, I
finally found a current 64bit NDIS driver for the Broadcom 4311 card on the Acer
FTP server and was able to use the latest ndiswrapper from sourceforge
(compiled) to load the 64bit driver to support the Broadcom 4311 card. 

The wireless works flawlessly and performance is excellent.  It just isn't worth
using the native bcm43xx driver since there are so many issues with supporting
all the various forms Broadcom wireless cards.  

I am going to stick with ndiswrapper for a while now that I have it working.

Thanks,
Jeff
Comment 18 Need Real Name 2006-11-09 12:11:46 EST
I have a Dell Latitude D820.  There are several D820s, the model I have has a
Core 2 duo chipset so I can run x86_64.  The WLAN card is the Dell 1390.

I am not able to get wireless working even a little bit.  I have tried your jwl
kernel (2.6.18-1.2831.2.1.fc6.jwltest.12) but it hasn't helped.  I'm also using
v3 firmware for the card from the link provided in comment #7, above.

Here is my lspci output (lspci -vs 0c: && lspci -n | grep 0c:):

0c:00.0 Network controller: Broadcom Corporation Dell Wireless 1390 WLAN
Mini-PCI Card (rev 01)
        Subsystem: Dell Unknown device 0007
        Flags: bus master, fast devsel, latency 0, IRQ 3
        Memory at ecffc000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [40] Power Management version 2
        Capabilities: [58] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-
        Capabilities: [d0] Express Legacy Endpoint IRQ 0
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [13c] Virtual Channel

0c:00.0 0280: 14e4:4311 (rev 01)


Here is /var/log/messages after I modprobe bcm43xx (note that I am in range of
several access points):


Nov  9 10:02:09 bear kernel: ieee80211: 802.11 data/management/control stack,
git-1.1.13
Nov  9 10:02:09 bear kernel: ieee80211: Copyright (C) 2004-2005 Intel
Corporation <jketreno@linux.intel.com>
Nov  9 10:02:09 bear kernel: bcm43xx driver
Nov  9 10:02:09 bear kernel: ACPI: PCI Interrupt 0000:0c:00.0[A] -> GSI 17
(level, low) -> IRQ 177
Nov  9 10:02:09 bear kernel: bcm43xx: Chip ID 0x4311, rev 0x1
Nov  9 10:02:09 bear kernel: bcm43xx: Number of cores: 4
Nov  9 10:02:09 bear kernel: bcm43xx: Core 0: ID 0x800, rev 0x11, vendor 0x4243,
enabled
Nov  9 10:02:09 bear kernel: bcm43xx: Core 1: ID 0x812, rev 0xa, vendor 0x4243,
disabled
Nov  9 10:02:09 bear kernel: bcm43xx: Core 2: ID 0x817, rev 0x3, vendor 0x4243,
disabled
Nov  9 10:02:09 bear kernel: bcm43xx: Core 3: ID 0x820, rev 0x1, vendor 0x4243,
enabled
Nov  9 10:02:09 bear kernel: bcm43xx: PHY connected
Nov  9 10:02:09 bear kernel: bcm43xx: Detected PHY: Version: 4, Type 2, Revision 8
Nov  9 10:02:09 bear kernel: bcm43xx: Detected Radio: ID: 2205017f (Manuf: 17f
Ver: 2050 Rev: 2)
Nov  9 10:02:09 bear kernel: bcm43xx: Radio turned off
Nov  9 10:02:09 bear kernel: bcm43xx: Radio turned off
Nov  9 10:02:10 bear kernel: SoftMAC: ASSERTION FAILED (0) at:
net/ieee80211/softmac/ieee80211softmac_wx.c:306:ieee80211softmac_wx_get_rate()
Nov  9 10:02:10 bear kernel: SoftMAC: empty ratesinfo?
Nov  9 10:02:10 bear kernel: SoftMAC: empty ratesinfo?
Nov  9 10:02:10 bear kernel: bcm43xx: set security called, .level = 0, .enabled
= 0, .encrypt = 0
Nov  9 10:02:10 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:10 bear kernel: SoftMAC: Associate: failed to initiate scan. Is
device up?
Nov  9 10:02:10 bear kernel: bcm43xx: PHY connected
Nov  9 10:02:10 bear kernel: bcm43xx: Microcode rev 0xf5, pl 0x5a (2003-12-22 
20:11:25)
Nov  9 10:02:10 bear kernel: bcm43xx: Radio turned on
Nov  9 10:02:10 bear kernel: bcm43xx: Chip initialized
Nov  9 10:02:10 bear kernel: bcm43xx: 32-bit DMA initialized
Nov  9 10:02:10 bear kernel: bcm43xx: Keys cleared
Nov  9 10:02:10 bear kernel: bcm43xx: Selected 802.11 core (phytype 2)
Nov  9 10:02:10 bear kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
Nov  9 10:02:10 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:10 bear kernel: SoftMAC: Start scanning with channel: 1
Nov  9 10:02:10 bear kernel: SoftMAC: Scanning 14 channels
Nov  9 10:02:10 bear kernel: SoftMAC: Scanning finished
Nov  9 10:02:10 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:10 bear kernel: SoftMAC: Start scanning with channel: 1
Nov  9 10:02:10 bear kernel: SoftMAC: Scanning 14 channels
Nov  9 10:02:10 bear kernel: SoftMAC: Unable to find matching network after scan!
Nov  9 10:02:11 bear kernel: SoftMAC: Scanning finished
Nov  9 10:02:11 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:11 bear kernel: SoftMAC: Start scanning with channel: 1
Nov  9 10:02:11 bear kernel: SoftMAC: Scanning 14 channels
Nov  9 10:02:11 bear kernel: SoftMAC: Scanning finished
Nov  9 10:02:11 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:11 bear kernel: SoftMAC: Start scanning with channel: 1
Nov  9 10:02:11 bear kernel: SoftMAC: Scanning 14 channels
Nov  9 10:02:12 bear kernel: SoftMAC: Scanning finished
Nov  9 10:02:12 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:12 bear kernel: SoftMAC: Start scanning with channel: 1
Nov  9 10:02:12 bear kernel: SoftMAC: Scanning 14 channels
Nov  9 10:02:12 bear kernel: SoftMAC: Scanning finished
Nov  9 10:02:12 bear kernel: SoftMAC: Unable to find matching network after scan!
Nov  9 10:02:16 bear kernel: bcm43xx: Radio turned off
Nov  9 10:02:16 bear kernel: bcm43xx: DMA-32 0x0200 (RX) max used slots: 0/64
Nov  9 10:02:16 bear kernel: bcm43xx: DMA-32 0x02A0 (TX) max used slots: 0/512
Nov  9 10:02:16 bear kernel: bcm43xx: DMA-32 0x0280 (TX) max used slots: 0/512
Nov  9 10:02:16 bear kernel: bcm43xx: DMA-32 0x0260 (TX) max used slots: 0/512
Nov  9 10:02:16 bear kernel: bcm43xx: DMA-32 0x0240 (TX) max used slots: 0/512
Nov  9 10:02:16 bear kernel: bcm43xx: DMA-32 0x0220 (TX) max used slots: 70/512
Nov  9 10:02:16 bear kernel: bcm43xx: DMA-32 0x0200 (TX) max used slots: 0/512
Nov  9 10:02:39 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:39 bear kernel: SoftMAC: Associate: failed to initiate scan. Is
device up?
Nov  9 10:02:40 bear kernel: SoftMAC: Canceling existing associate request!
Nov  9 10:02:40 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:40 bear kernel: SoftMAC: Associate: failed to initiate scan. Is
device up?
Nov  9 10:02:40 bear kernel: SoftMAC: Canceling existing associate request!
Nov  9 10:02:40 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:40 bear kernel: SoftMAC: Associate: failed to initiate scan. Is
device up?
Nov  9 10:02:41 bear kernel: SoftMAC: Canceling existing associate request!
Nov  9 10:02:41 bear kernel: SoftMAC: Unable to find matching network after scan!
Nov  9 10:02:41 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:41 bear kernel: SoftMAC: Associate: failed to initiate scan. Is
device up?
Nov  9 10:02:43 bear kernel: SoftMAC: Canceling existing associate request!
Nov  9 10:02:43 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:43 bear kernel: SoftMAC: Associate: failed to initiate scan. Is
device up?
Nov  9 10:02:45 bear kernel: SoftMAC: Canceling existing associate request!
Nov  9 10:02:45 bear kernel: SoftMAC: Associate: Scanning for networks first.
Nov  9 10:02:45 bear kernel: SoftMAC: Associate: failed to initiate scan. Is
device up?



I've tried ndiswrapper with a 64-bit windows driver, but I don't think it is the
right driver for this card, and ndiswrapper won't work, either.  I'm stuck.

Let me know what additional information I can provide ...
Comment 27 HenryWinkle 2006-11-25 00:44:41 EST
Hello

I've just read this page, and basically i wanna help, 'cause i've tried to get
my wireless card working and nothhing does.

i need help. So it seems like you guys have made progress! And lots of it!
i just wanna know how i can install this and help, so maybe i can get my card
working...

--jer
Comment 28 Need Real Name 2006-11-25 23:00:04 EST
I have continued progress to report after my initial comment (comment #18).

Good news!  I downloaded and installed your latest patched kernel
(2.6.18-1.2857.2.1.fc6.jwltest.14), and this kernel will successfully load the
driver, associate with my AP, and get an IP address.  I'm using it now.

However, I haven't attempted to make it work "the Fedora way", I just do the
following:

1) boot kernel 2.6.18-1.2857.2.1.fc6.jwltest.14
   - kernel boots, and attempts to start network interfaces; after about a 60
second delay I get a number of errors (see below) and a message that the
wireless interface did not come up
2) I enter the following command as root:
   rmmod bcm43xx ieee80211softmac ieee80211 bcm43xx_d80211 ssb rc80211_simple 80211

After entering the rmmod command above, the kerrnel automatically reloads the
necessary modules and automatically associates with my AP and I get an IP
address.  I can't explain this behavior, but I am reluctant to mess with
anything because it seems to work reliably after I do this.  I've had my laptop
on for 48 hours or so and the system has been very stable.


Now, about those boot-up messages ... I guess those messages aren't captured
anywhere?  I haven't written them down (and it is ridiculous to even expect that
somebody would, surely the boot sequence could be logged?) and I don't recall
now exactly what they were.

My laptop has 2GB of RAM, by the way, and I notice that one of the patches has
to do with that.

I just thought I would pass these data points along.  If I can perform some
specific task to generate log information for you I will try to schedule that.


Comment 29 John W. Linville 2006-11-27 15:08:22 EST
Need Real Name, can you attach the output of 'lsmod'?  And maybe 'dmesg'?
Comment 30 Julius Smith 2006-11-29 13:41:05 EST
Created attachment 142402 [details]
output of lsmod
Comment 31 Julius Smith 2006-11-29 13:42:14 EST
Created attachment 142403 [details]
dmesg output
Comment 32 Julius Smith 2006-11-29 13:52:39 EST
I have the same Broadcom Mini-PCI wireless chip on my HP dv2125nr, and I have
installed the same kernel (2.6.18-1.2857.2.1.fc6.jwltest.14).  My lsmod and
dmesg outputs appear above.  One difference I noted in my case is that I never
see "radio turned on", only "radio turned off".  I booted into Windows to make
sure that my physical switch for the wireless was switched 'on', and it was, so
that's not the problem.

The error messages associated with the boot hang are as follows:

Error for wireless request "Set Encode" (8B2A) :
SET failed on device wmaster0: Operation not supported

Determining IP info for wmaster0 ... SIOCSIFFLAGS: Operation not supported
Comment 33 John W. Linville 2006-11-29 14:22:31 EST
Julius, you should not be using wmaster0.  Use wlan0 instead.  Does that work 
better for you?
Comment 34 Julius Smith 2006-11-29 17:56:17 EST
I changed wmaster0 to wlan0 everywhere I could find, and now it says, during a
'service network restart':

Bringing up interface wlan0: Error for wireless request "Set Bit Rate (8B20) :
SET failed on device wlan0: Operation not supported

Determining IP information for wlan0: ... SIOCSIFFLAGS: no such file or directory
Comment 35 Need Real Name 2006-11-29 18:00:31 EST
Created attachment 142452 [details]
dmesg output

dmesg output
Comment 36 Need Real Name 2006-11-29 18:01:19 EST
Created attachment 142453 [details]
lsmod output

lsmod output
Comment 37 Need Real Name 2006-11-29 18:09:22 EST
I attached the dmesg and lsmod output as requested.  Also, my system is
automatically using wmaster0 (as is Mr. Smith's, above).  Since all I'm doing is
booting and unloading modules, I don't know what I can do to change that.

I also tried to use the laptop at work with NetworkManager and that was
completely unsuccessful.  Whatever Network Manager was doing would eventually
hang the laptop.  iwlist would show all the APs, but I couldn't associate, not
even manually using iwconfig.
Comment 39 scott anderson 2006-12-19 13:19:27 EST
Created attachment 144023 [details]
lsmod and dmesg
Comment 40 scott anderson 2006-12-19 13:23:10 EST
Same problem here on dv2120 with Broadcom 1390. No connection. I am using the
2.6.18-1.2861.2.1.fc6.jwltest.16 and it does seem to improve things somewhat.
Network configuration recognizes my hardware and the blue wireless status light
on my laptop turns on. Network manager can scan and list networks but shows 0%
signal strength for all and can't conect.

I am curious as to the correct firmware I should be using for this particular
card. It does seem to be functioning somewhat as I can scan networks, however if
anybody could suggest something that might be working completely it would be
appreciated. I have attached lsmod and dmesg above.
Comment 41 Dave Maley 2006-12-19 14:08:51 EST
Quick update on my various testing ....

- I'm now running successfully w/ bcm43xx (2.6.18-1.2861.2.1.fc6.jwltest.16) for
~24 hours.  Here's a few of the specifics ....

  * using NetworkManager
  * running x86 distro
  * using firmware from comment 7
  * need to blacklist bcm43xx_d80211 to prevent it from loading

Note: I decided to give the x86 distro a try after running into similar problems
as reported in comment 4 w/ a zd1211 card.  Since this problem seemed related to
SoftMAC rather than the drivers I figured it'd be worth a try to see if it was
something specific to 64bit, and thus far things seem to be working nicely. 
Only problem I've noticed is it's only able to connect at 11M, but hey it's
working ....


- Still no luck getting bcm43xx_d80211 working.  It's able to scan and see the
surrounding AP's, but when attempting to bring the interface up by hand
(ifconfig/iwconfig) I can't get it to connect, and attempting to connect using
NetworkManager causes the system to hang.

Comment 42 scott anderson 2006-12-19 19:51:01 EST
Dave,
Awesome to see you've continued testing and things are working for you. Can you
tell me how you blacklisted bcm43xx_d80211 and provide some minor steps as to
what you did as we have the same card (assuming you're on the dv2120).
Comment 43 Dave Maley 2006-12-20 13:42:03 EST
Scott - to blacklist the bcm43xx_d80211 driver I added the following to
/etc/modprobe.d/blacklist*

     blacklist bcm43xx_d80211

Other than that all I did was install the fw mentioned above and use
NetworkManager (network chkconfig'ed off).  It's certainly not 100% reliable but
definitely working better than when I filed this bug  8)
Comment 44 scott anderson 2006-12-23 16:49:57 EST
So I gave the new firmware a try along with blacklisting blacklist
bcm43xx_d80211.  My wireless status light turns on with the new firmware which
is good. It also gave good signal strength and can scan networks under network
manager. Still won't connect though. Network Configuration does not have the
broadcom device anywhere but recognizes the hardware. When i try to add a new
device it picks it up, but lists it as eth1 not wlan or anything else. Anything
else I should be looking for? Or anything I can post to help?
Comment 45 Nicola 2006-12-29 06:11:09 EST
Hi, 
I've tried latest .16 kernel from John in my FC6 i686, but X server crashes
saying something about mouse (I have a laptop with a synaptic touchpad)...any
way to solve this and get my Broadcom integrated wlan card working?
thanks for suggestions
Comment 46 Julius Smith 2006-12-31 20:53:40 EST
After following all the directions/suggestions in Comment 41, I get failure
notices of the following type:

# tail /var/log/messages
...
Dec 31 17:47:19 pav2 kernel: bcm43xx: IRQ_READY timeout
Dec 31 17:47:19 pav2 kernel: bcm43xx: core_up for active 802.11 core failed (-19)
Dec 31 17:47:22 pav2 NetworkManager: <WARNING>   nm_device_802_11_wireless_scan
(): could not trigger wireless scan on device eth1: No such device 
Comment 47 Julius Smith 2006-12-31 20:59:05 EST
Created attachment 144598 [details]
dmesg output

dmesg output attached
Comment 48 Julius Smith 2006-12-31 21:00:43 EST
Created attachment 144599 [details]
lsmod output

lsmod output attached
Comment 49 Julius Smith 2007-01-03 21:24:09 EST
I should perhaps add that I am not able to use the microcode from my Windows XP
driver, because it appears to be too new.  When I tried, I got the following error:

...
Dec 31 16:57:47 pav2 kernel: bcm43xx: Microcode rev 0x13f, pl 0xb (2006-03-15 
21:28:24)
Dec 31 16:57:47 pav2 kernel: bcm43xx: Firmware: no support for microcode rev > 0x128
Dec 31 16:57:47 pav2 kernel: bcm43xx: core_up for active 802.11 core failed (-1)
Dec 31 16:57:50 pav2 NetworkManager: <WARNING>   nm_device_802_11_wireless_scan
(): could not trigger 
wireless scan on device eth1: No such device 

This leaves open the possibility that my hardware requires the newer microcode.

I also thought I should mention that my wireless indicator light never goes on,
in contrast to the experience of others.
Comment 50 Dave Maley 2007-01-14 18:17:32 EST
John - The PCI-E interupts patch posted/ack'ed Friday on the bcm43xx list[1]
seems to get bcm43xx working reliably for me.  Tested w/ it applied to both
2.6.20-rc4 and your .17 test kernel.  Connection is painfully slow but I've
bveen able to associate each boot and haven't dropped connection in ~24 hours.


[1]https://lists.berlios.de/pipermail/bcm43xx-dev/2007-January/003484.html
Comment 51 Dave Maley 2007-01-14 20:27:46 EST
I've put my i686 and SRPM packages on my server in case any of the folks
watching this bug would like to test .....


http://homer.homelinux.net/RPMS/bcm43xx-test-kernels
Comment 52 Julius Smith 2007-01-15 15:14:12 EST
I have good progress to report for my HP Pavilion dv2125nr!  

After booting the i686 kernel obtained via Comment #51, the blue "radio on"
light is now lit, and NetworkManager sees the wireless networks in my vicinity
for the first time.  However, I cannot connect to them yet.  There is no
hardware problem since I can reboot into Windows and connect easily (signal
strength excellent, no encryption).

Below is a block of text from /var/log/messages that occurs from time to time as
it tries to connect.  It appears IP_ADD_MEMBERSHIP failed:

...

Jan 15 10:11:41 pav2 kernel: bcm43xx: Microcode rev 0xef, pl 0xe (2003-07-10 
18:59:06)
Jan 15 10:11:41 pav2 kernel: bcm43xx: Radio turned on
Jan 15 10:11:41 pav2 kernel: bcm43xx: Chip initialized
Jan 15 10:11:41 pav2 kernel: bcm43xx: 32-bit DMA initialized
Jan 15 10:11:41 pav2 kernel: bcm43xx: Keys cleared
Jan 15 10:11:41 pav2 kernel: bcm43xx: Selected 802.11 core (phytype 2)
Jan 15 10:11:41 pav2 avahi-daemon[2769]: New relevant interface eth1.IPv4 for mDNS.
Jan 15 10:11:41 pav2 avahi-daemon[2769]: Joining mDNS multicast group on
interface eth1.IPv4 with address 192.168.1.103.
Jan 15 10:11:41 pav2 avahi-daemon[2769]: IP_ADD_MEMBERSHIP failed: No such device
Jan 15 10:11:41 pav2 avahi-daemon[2769]: Registering new address record for
192.168.1.103 on eth1.
Jan 15 10:11:41 pav2 kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
Jan 15 10:11:41 pav2 kernel: SoftMAC: Start scanning with channel: 1
Jan 15 10:11:41 pav2 kernel: SoftMAC: Scanning 14 channels
Jan 15 10:11:42 pav2 kernel: SoftMAC: Scanning finished
...


Below is an excerpt from my dmesg output showing the cycle of attempts for eth1
to come up:

bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Associate: failed to initiate scan. Is device up?
bcm43xx: PHY connected
bcm43xx: Microcode rev 0xef, pl 0xe (2003-07-10  18:59:06)
bcm43xx: Radio turned on
bcm43xx: Chip initialized
bcm43xx: 32-bit DMA initialized
bcm43xx: Keys cleared
bcm43xx: Selected 802.11 core (phytype 2)
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
ADDRCONF(NETDEV_UP): eth1: link is not ready
SoftMAC: Scanning finished
SoftMAC: Queueing Authentication Request to 00:16:b6:b3:01:c1
SoftMAC: Cannot associate without being authenticated, requested authentication
SoftMAC: Already requested authentication, waiting...
SoftMAC: Sent Authentication Request to 00:16:b6:b3:01:c1.
SoftMAC: Open Authentication completed with 00:16:b6:b3:01:c1
SoftMAC: sent association request!
SoftMAC: associated!
ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory
NFSD: starting 90-second grace period
eth1: no IPv6 routers present
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: sent association request!
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
eth0: no link during initialization.
ADDRCONF(NETDEV_UP): eth0: link is not ready
SoftMAC: Scanning finished
UDF-fs: Partition marked readonly; forcing readonly mount
UDF-fs INFO UDF 0.9.8.1 (2004/29/09) Mounting volume 'CCRMASearch1.8', timestamp
2007/01/08 14:44 (1e20)
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: sent association request!
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
SoftMAC: associated!
ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Already associating or associated to 00:16:b6:b3:01:c1
eth1: no IPv6 routers present
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Already associating or associated to 00:16:b6:b3:01:c1
bcm43xx: Radio turned off
bcm43xx: DMA-32 0x0200 (RX) max used slots: 1/64
bcm43xx: DMA-32 0x02A0 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0280 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0260 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0240 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0220 (TX) max used slots: 10/512
bcm43xx: DMA-32 0x0200 (TX) max used slots: 0/512
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Associate: failed to initiate scan. Is device up?
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: Microcode rev 0xef, pl 0xe (2003-07-10  18:59:06)
bcm43xx: Radio turned on
bcm43xx: Chip initialized
bcm43xx: 32-bit DMA initialized
bcm43xx: Keys cleared
bcm43xx: Selected 802.11 core (phytype 2)
ADDRCONF(NETDEV_UP): eth1: link is not ready
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Queueing Authentication Request to 00:16:b6:b3:01:c1
SoftMAC: Cannot associate without being authenticated, requested authentication
bcm43xx: set security called<5>SoftMAC: Sent Authentication Request to
00:16:b6:b3:01:c1.
, .level = 0, .enabled = 0, .encrypt = 0
SoftMAC: Open Authentication completed with 00:16:b6:b3:01:c1
SoftMAC: sent association request!
SoftMAC: associated!
ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Already associating or associated to 00:16:b6:b3:01:c1
eth1: no IPv6 routers present
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Already associating or associated to 00:16:b6:b3:01:c1
bcm43xx: Radio turned off
bcm43xx: DMA-32 0x0200 (RX) max used slots: 1/64
bcm43xx: DMA-32 0x02A0 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0280 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0260 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0240 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0220 (TX) max used slots: 2/512
bcm43xx: DMA-32 0x0200 (TX) max used slots: 0/512
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Associate: failed to initiate scan. Is device up?
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: Microcode rev 0xef, pl 0xe (2003-07-10  18:59:06)
bcm43xx: Radio turned on
bcm43xx: Chip initialized
bcm43xx: 32-bit DMA initialized
bcm43xx: Keys cleared
bcm43xx: Selected 802.11 core (phytype 2)
ADDRCONF(NETDEV_UP): eth1: link is not ready
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Queueing Authentication Request to 00:16:b6:b3:01:c1
SoftMAC: Cannot associate without being authenticated, requested authentication
SoftMAC: Sent Authentication Request to 00:16:b6:b3:01:c1.
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
SoftMAC: Open Authentication completed with 00:16:b6:b3:01:c1
SoftMAC: sent association request!
SoftMAC: associated!
ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Already associating or associated to 00:16:b6:b3:01:c1
eth1: no IPv6 routers present
SoftMAC: Start scanning with channel: 1
SoftMAC: Scanning 14 channels
SoftMAC: Scanning finished
SoftMAC: Already associating or associated to 00:16:b6:b3:01:c1
bcm43xx: Radio turned off
bcm43xx: DMA-32 0x0200 (RX) max used slots: 1/64
bcm43xx: DMA-32 0x02A0 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0280 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0260 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0240 (TX) max used slots: 0/512
bcm43xx: DMA-32 0x0220 (TX) max used slots: 2/512
bcm43xx: DMA-32 0x0200 (TX) max used slots: 0/512
SoftMAC: Associate: Scanning for networks first.
SoftMAC: Associate: failed to initiate scan. Is device up?
bcm43xx: set security called, .level = 0, .enabled = 0, .encrypt = 0
...
Comment 53 Dave Maley 2007-01-15 15:20:33 EST
Julius - Just a guess but you may want to try different firmware.  The bcm43xx
module requires v3 fw.  I'm currently using 3.100.64.0 but the link I posted in
comment #7 should also work.
Comment 54 Julius Smith 2007-01-15 16:13:05 EST
Dave, thanks for the suggestion - I'll try that.

However, after further futzing around, I have a wireless connection!  Comparing
my (wired) eth0 settings to my (wireless) eth1 settings, I decided to try making
them identical by disabling ipV6 configuration and enabling automatic DNS (using
DHCP).  It didn't work right away, but later I noticed eth1 was listed as
"inactive" so I activated it in the graphical network config utility.  This
resulted in the line "ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready" in
dmesg output.  After that, selecting a wireless network in NetworkManager
worked!  Signal strenght is good and the connection seems stable as I type this.
Comment 55 Julius Smith 2007-01-15 16:36:21 EST
Dave - I checked and I should still be using version 3.30.15.0 of the firmware,
since I followed your pointer in Comment #7 as of my Comment #46.  The
connection remains stable with no further hiccups so far of any kind. - Julius
Comment 56 Julius Smith 2007-01-15 18:17:28 EST
Interesting observation regarding performance: Using scp to retrieve a large
file wirelessly from another machine on my internal network, the bandwidth of
the transfer averaged around 20 KB/s (varying between 16 and 22 or so). 
Rebooting under Windows XP and repeating the same test using scp in Cygwin, the
bandwidth was a steady 2.0 MB/s.  Thus, the wireless link is about 100 times
faster under Windows.
Comment 57 scott anderson 2007-01-16 19:07:05 EST
Just wanted to confirm that the wireless on my hp dv2120 is now working with the
new patch (the one released 1/12) kernel that Dave spun up. This is on a brand
new install of FC6 and will report back on any issues/performance.
Comment 58 scott anderson 2007-01-17 10:13:38 EST
Regarding performance: Extremely slow speeds 6-10k down. Internet browsing is
noticably slow. Any ideas?
Comment 59 scott anderson 2007-01-20 19:00:30 EST
Any info about when this will be included as a standard for newer kernels?
Comment 60 Eduardo N. Hering 2007-01-27 19:01:33 EST
Hi. I'm running fc6.x86_64 on a HP Pavillion zv5410us notebook and the bcm43xx
driver does not seem to work. 

The kernel I run is 
  2.6.19-1.2895.fc6

The device is listed by lspci as 
  02:02.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless
LAN Controller (rev 03)

The error I get is:
  bcm43xx device wlan0 does not seem to be present, delaying initialization.

The firmware I use came from BCMWL564.sys

The messages from /var/log/messages are:

Jan 27 21:41:39 localhost kernel: bcm43xx driver
Jan 27 21:41:39 localhost kernel: bcm43xx: Chip ID 0x4306, rev 0x3
Jan 27 21:41:39 localhost kernel: bcm43xx: Number of cores: 5
Jan 27 21:41:39 localhost kernel: bcm43xx: Core 0: ID 0x800, rev 0x4, vendor
0x4243, enabled
Jan 27 21:41:39 localhost kernel: bcm43xx: Core 1: ID 0x812, rev 0x5, vendor
0x4243, disabled
Jan 27 21:41:39 localhost kernel: bcm43xx: Core 2: ID 0x80d, rev 0x2, vendor
0x4243, enabled
Jan 27 21:41:39 localhost kernel: bcm43xx: Core 3: ID 0x807, rev 0x2, vendor
0x4243, disabled
Jan 27 21:41:39 localhost kernel: bcm43xx: Core 4: ID 0x804, rev 0x9, vendor
0x4243, enabled
Jan 27 21:41:39 localhost kernel: bcm43xx: PHY connected
Jan 27 21:41:39 localhost kernel: bcm43xx: Detected PHY: Version: 2, Type 2,
Revision 2
Jan 27 21:41:39 localhost kernel: bcm43xx: Detected Radio: ID: 2205017f (Manuf:
17f Ver: 2050 Rev: 2)
Jan 27 21:41:39 localhost kernel: bcm43xx: Radio turned off
Jan 27 21:41:39 localhost kernel: bcm43xx: Radio turned off

Jan 27 21:41:40 localhost kernel: SoftMAC: ASSERTION FAILED (0) at:
net/ieee80211/softmac/ieee80211softmac_wx.c:306:ieee80211softmac_wx_get_
rate()
Jan 27 21:41:43 localhost last message repeated 9 times
Jan 27 21:41:46 localhost kernel: printk: 6 messages suppressed.
Jan 27 21:41:46 localhost kernel: SoftMAC: ASSERTION FAILED (0) at:
net/ieee80211/softmac/ieee80211softmac_wx.c:306:ieee80211softmac_wx_get_
rate()
...

I hope this helps!
Comment 61 Dave Maley 2007-02-07 01:10:20 EST
quick update:

The PCI-E patch referenced in comment 50 made it into the upstream kernel and so
a stock build of 2.6.20 works4me.  It's still a  _very_ slow connection but it
works.

And better yet the patch posted to the bcm43xx list today significantly improves
the connection speed ...

https://lists.berlios.de/pipermail/bcm43xx-dev/2007-February/003798.html
Comment 62 Dave Maley 2007-02-08 12:22:42 EST
updated patch posted, working well for me ....

https://lists.berlios.de/pipermail/bcm43xx-dev/2007-February/003808.html
Comment 63 John W. Linville 2007-02-09 11:12:46 EST
FC6 test kernels w/ late bcm43xx updates (including some for 4311/4312/4318) 
are available here:

   http://people.redhat.com/linville/kernels/fc6/

Please give them a try and post the results here...thanks!
Comment 64 scott anderson 2007-02-11 21:48:26 EST
Testing the kernel above for the second time with the new patches. Everything
seems to be working just fine. Speed is much better. BUT..... patch that made it
to upstream for 2.6.20 kernel does not work for me. I tested the 2.6.20 kernel
from development and although it recognized my wireless, it simply did not work.
The custom kernel (jwltest) is the only thing that has made my wireless do more
than scan networks. Just thought I'd share that someone might wanna look and see
if there are any differences between the 2.6.19-1.2895 driver, and the driver in
the new 2.6.20 kernel since it doesn't work. 
Comment 65 Dave Maley 2007-02-12 11:31:49 EST
John - The .19 test kernel is working well for me.  I'm getting the improved
connections speeds I mentioned in comment 61 and the connection has been stable
all weekend.
Comment 66 Brian Powell 2007-02-20 23:31:00 EST
Just switched from ndiswrapper solution where I couldnt seem to get WPA2 working
and kernel-2.6.19-1.2911.2.1.fc6.jwltest.21.x86_64.rpm is working well on my
nx6325 bcm4311 with WPA2, however I seem to be limited to 11Mbps even though I
am connected to a G network.
Comment 67 scott anderson 2007-02-23 16:26:38 EST
(In reply to comment #66)
> Just switched from ndiswrapper solution where I couldnt seem to get WPA2 working
> and kernel-2.6.19-1.2911.2.1.fc6.jwltest.21.x86_64.rpm is working well on my
> nx6325 bcm4311 with WPA2, however I seem to be limited to 11Mbps even though I
> am connected to a G network.

I don't think you'll be able to get over 11mbps using the native fwcutter method
Comment 68 Dave Maley 2007-02-23 17:28:20 EST
Actually I believe it's the softmac code that currently restricts the rate to
11Mbps.  I saw some recent upstream changes that raised this default above
11Mbps, however some of the bcm devices still don't work at all when run at
54Mbps so the default is still being limited until those bugs are fixed.
Comment 69 John W. Linville 2007-03-01 14:31:32 EST
The information in comment 68 is correct regarding rate limits.  Those will be 
raised/lifted over time.

I'm going to close this as UPSTREAM on the basis of the last few comments.

Note You need to log in before you can comment on or make changes to this bug.